[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarClear

Clear the variant value

## Declaration

Source position: variants.pp line 106

`procedure VarClear(`
`var V: Variant`
`); procedure VarClear(`
`var V: OleVariant`
`);`

## Arguments

`V` |  | Variant to clear

## Arguments

`V` |  | Variant to clear

## Description

VarClear clears the variant, possibly freeing any memory taken by the value

## Errors

None.

## See also

SetClearVarToEmptyParam |  | Create an error variant with value VAR_PARAMNOTFOUND
VarIsError |  | Check if the variant has type varError
VarIsClear |  | Check if a variant is clear